aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash')
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash8
1 files changed, 4 insertions, 4 deletions
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
index 744531d..b1f5fb0 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_killold.bash
@@ -19,15 +19,15 @@
builtin_killold()
{
local a
- for a in PF CATEGORY PALUDIS_TMPDIR ; do
+ for a in PNVR CATEGORY PALUDIS_TMPDIR ; do
[[ -z "${!a}" ]] && die "\$${a} unset or empty"
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PNVR}" || die "Couldn't remove previous work"
fi
}